package Test::Repocop::Log;
use strict;
use warnings;
require Exporter;
our @ISA = qw(Exporter);

our @EXPORT = qw(&repocop_note &repocop_note2 &repocop_debug);
our @EXPORT_OK = qw($verbose);
push @EXPORT_OK, @EXPORT;

our $verbose=0;

sub repocop_note {
    print @_,"\n" if $verbose;
}

sub repocop_note2 {
    print @_,"\n" if $verbose and $verbose>1;
}

sub repocop_debug {
    print @_,"\n" if $verbose and $verbose>2;
}

1;

=head1	NAME

Test::Repocop::Log - common log for repocop

=head1	SYNOPSIS

B<repocop-*>
=include synopsis.pod.in

=head1	DESCRIPTION

B<repocop-*> processes results of repocop unit tests, created with 
repocop-run command, stored in I<repocop workdir>.
Precise subset of tests can be selected using B<--include>
and B<--exclude> options.

=head1	OPTIONS

=over

=include options-report.pod.in
=include options.pod.in

=back

=head1	AUTHOR

Written by Igor Vlasenko <viy@altlinux.org>.

=head1	COPYING

Copyright (c) 2008-2022 Igor Vlasenko, ALT Linux Team.

This is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

=cut

