package Test::Repocop::TestDB::Filter;

use strict;
use warnings;

package Repocop::arg;

use strict;
use warnings;

#our $reportlevel='info';
our $reportlevel='experimental';
our (%report, $except);
our (%EXCLUDETEST,%INCLUDETEST);
our (%pkgtable);

sub pkg_keylist {
    return keys(%Repocop::arg::pkgtable);
}

sub skip_pkg {
    return 0 unless %Repocop::arg::pkgtable;
    if ($Repocop::arg::pkgtable{$_[0]}) {
	return 1 if $Repocop::arg::except;
    } else {
	return 1 unless $Repocop::arg::except; # -given mode
    }
    return 0;
}

sub skip_test {
    return 1 if %EXCLUDETEST and $EXCLUDETEST{$_[0]};
    return 1 if %INCLUDETEST and !$INCLUDETEST{$_[0]};
    return 0;
}

sub skip_status {
    return 1 if %Repocop::arg::report and !$Repocop::arg::report{$_[0]};
    return 0;
}

sub __set_report_mask {
    my $level=shift;
    %Repocop::arg::report=();
    $Repocop::arg::report{'fail'}=1;
    unless ($level =~ m'^f') {
	$Repocop::arg::report{'warn'}=1;
	unless ($level  =~ m'^w') {
	    $Repocop::arg::report{'info'}=1;
	    unless ($level  =~ m'^i') {
		$Repocop::arg::report{'experimental'}=1;
		unless ($level  =~ m'^e') {
		    $Repocop::arg::report{'ok'}=1;
		    unless ($level  =~ m'^o') {
			$Repocop::arg::report{'skip'}=1;
			unless ($level  =~ m'^s') {
			    warn "strange value for Repocop report level: $level\n";
			    $Repocop::arg::report{'skip'}=0;
			    $Repocop::arg::report{'ok'}=0;
			}
		    }
		}
	    }
	}
    }
}

1;
