package Test::Repocop::TestDB::Status;

use strict;
use warnings;

require Exporter;
our @ISA = qw(Exporter);

our @STATUS_NOT_OK=qw/experimental info warn fail/;
our @STATUS_OK=qw/ok skip/;
our @STATUS_ALL=(@STATUS_OK, @STATUS_NOT_OK);

our @EXPORT_OK = qw(&testdb_status_num2str &testdb_status_str2num &testdb_status_num_max);

my %STATUS2NUM;
my %NUM2STATUS;

for (my $i=0; $i<=$#STATUS_ALL; $i++) {
    $STATUS2NUM{$STATUS_ALL[$i]}=$i;
    $NUM2STATUS{$i}=$STATUS_ALL[$i];
}

sub testdb_status_num2str {
    my $statusnum=shift;
    $statusnum//=0;
    return $NUM2STATUS{$statusnum};
}

sub testdb_status_str2num {
    my $status=shift;
    return $STATUS2NUM{$status};
}

sub testdb_status_num_max {
    my ($num1,$num2)=@_;
    return $num1 if not $num2;
    return $num2 if not $num1;
    return $num2 if $num2 > $num1;
    return $num1;
}

1;
